=head1 NAME

Gtk2::CellRendererSpinner - wrapper for GtkCellRendererSpinner

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererSpinner



=cut


=head1 METHODS

=head2 cellrenderer = Gtk2::CellRendererSpinner-E<gt>B<new> 



=cut


=head1 PROPERTIES

=over

=item 'active' (boolean : default false : readable / writable)

Whether the spinner is active (ie. shown) in the cell

=item 'pulse' (Glib::UInt : default 0 : readable / writable)

Pulse of the spinner

=item 'size' (Gtk2::IconSize : default "menu" : readable / writable)

The GtkIconSize value that specifies the size of the rendered spinner

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::IconSize

=over

=item * 'invalid' / 'GTK_ICON_SIZE_INVALID'

=item * 'menu' / 'GTK_ICON_SIZE_MENU'

=item * 'small-toolbar' / 'GTK_ICON_SIZE_SMALL_TOOLBAR'

=item * 'large-toolbar' / 'GTK_ICON_SIZE_LARGE_TOOLBAR'

=item * 'button' / 'GTK_ICON_SIZE_BUTTON'

=item * 'dnd' / 'GTK_ICON_SIZE_DND'

=item * 'dialog' / 'GTK_ICON_SIZE_DIALOG'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::CellRenderer>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

